> ## Documentation Index
> Fetch the complete documentation index at: https://docs.classquill.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payment

> Fetch a single payment by ID. 404 if it doesn't exist or belongs to another org.



## OpenAPI

````yaml /openapi.json get /v1/payments/{payment_id}
openapi: 3.1.0
info:
  title: EquateIt Public API
  description: >-
    REST API for EquateIt tutoring organisations. Pipe your sessions, invoices,
    payments, tutor earnings, students, and more into your own tools. Most
    endpoints are reads; a focused set of writes (each gated by a *:write scope)
    create or update data, including creating student/tutor/parent accounts.


    Authenticate every request with an org API key:

        Authorization: Token token=ei_live_...

    Mint keys in the EquateIt app under Settings → Developers.
  version: 1.0.0
servers: []
security:
  - ApiKeyAuth: []
tags:
  - name: General
  - name: Sessions
  - name: Tutors
  - name: Students & Parents
  - name: Billing
  - name: Curriculum
  - name: Coursework
  - name: Operations
  - name: Pricing
  - name: Bookings
  - name: Blog
  - name: Reports
paths:
  /v1/payments/{payment_id}:
    get:
      tags:
        - Billing
      summary: Get Payment
      description: >-
        Fetch a single payment by ID. 404 if it doesn't exist or belongs to
        another org.
      operationId: get_payment_v1_payments__payment_id__get
      parameters:
        - name: payment_id
          in: path
          required: true
          schema:
            type: string
            title: Payment Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Payment'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Payment:
      properties:
        id:
          type: string
          title: Id
        session_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Session Id
        student_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Student Id
        tutor_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Tutor Id
        amount_cents:
          anyOf:
            - type: integer
            - type: 'null'
          title: Amount Cents
        refund_amount_cents:
          anyOf:
            - type: integer
            - type: 'null'
          title: Refund Amount Cents
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        payment_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Payment Type
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        stripe_payment_intent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Stripe Payment Intent Id
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
      type: object
      required:
        - id
      title: Payment
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Org API key as `Token token=ei_live_...`

````